Bug 980135 - Unable to install
Unable to install
Status: CLOSED WORKSFORME
Product: Fedora EPEL
Classification: Fedora
Component: R (Show other bugs)
el6
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 09:46 EDT by Michael Stevens
Modified: 2017-07-10 12:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-10 12:57:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Stevens 2013-07-01 09:46:29 EDT
Description of problem:

Unable to install on redhat 6.3.

Version-Release number of selected component (if applicable):

---> Package R.x86_64 0:3.0.1-2.el6 will be installed

How reproducible:

Attempt to install.

Steps to Reproduce:
1. yum install R
2.
3.

Actual results:

[root@506964-www1 ~]# yum install R
Loaded plugins: rhnplugin, security
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package R.x86_64 0:3.0.1-2.el6 will be installed
--> Processing Dependency: libRmath-devel = 3.0.1-2.el6 for package: R-3.0.1-2.el6.x86_64
--> Processing Dependency: R-java = 3.0.1-2.el6 for package: R-3.0.1-2.el6.x86_64
--> Processing Dependency: R-devel = 3.0.1-2.el6 for package: R-3.0.1-2.el6.x86_64
--> Running transaction check
---> Package R-devel.x86_64 0:3.0.1-2.el6 will be installed
--> Processing Dependency: R-java-devel = 3.0.1-2.el6 for package: R-devel-3.0.1-2.el6.x86_64
--> Processing Dependency: R-core-devel = 3.0.1-2.el6 for package: R-devel-3.0.1-2.el6.x86_64
---> Package R-java.x86_64 0:3.0.1-2.el6 will be installed
--> Processing Dependency: R-core = 3.0.1-2.el6 for package: R-java-3.0.1-2.el6.x86_64
--> Processing Dependency: java for package: R-java-3.0.1-2.el6.x86_64
---> Package libRmath-devel.x86_64 0:3.0.1-2.el6 will be installed
--> Processing Dependency: libRmath = 3.0.1-2.el6 for package: libRmath-devel-3.0.1-2.el6.x86_64
--> Running transaction check
---> Package R-core.x86_64 0:3.0.1-2.el6 will be installed
--> Processing Dependency: tex(latex) for package: R-core-3.0.1-2.el6.x86_64
--> Processing Dependency: libjpeg.so.62(LIBJPEG_6.2)(64bit) for package: R-core-3.0.1-2.el6.x86_64
--> Processing Dependency: libgfortran.so.3(GFORTRAN_1.0)(64bit) for package: R-core-3.0.1-2.el6.x86_64
--> Processing Dependency: cups for package: R-core-3.0.1-2.el6.x86_64
--> Processing Dependency: libtk8.5.so()(64bit) for package: R-core-3.0.1-2.el6.x86_64
--> Processing Dependency: libtcl8.5.so()(64bit) for package: R-core-3.0.1-2.el6.x86_64
--> Processing Dependency: libicuuc.so.42()(64bit) for package: R-core-3.0.1-2.el6.x86_64
--> Processing Dependency: libicui18n.so.42()(64bit) for package: R-core-3.0.1-2.el6.x86_64
--> Processing Dependency: libgfortran.so.3()(64bit) for package: R-core-3.0.1-2.el6.x86_64
---> Package R-core-devel.x86_64 0:3.0.1-2.el6 will be installed
--> Processing Dependency: tk-devel for package: R-core-devel-3.0.1-2.el6.x86_64
--> Processing Dependency: texinfo-tex for package: R-core-devel-3.0.1-2.el6.x86_64
--> Processing Dependency: tcl-devel for package: R-core-devel-3.0.1-2.el6.x86_64
--> Processing Dependency: pcre-devel for package: R-core-devel-3.0.1-2.el6.x86_64
--> Processing Dependency: gcc-gfortran for package: R-core-devel-3.0.1-2.el6.x86_64
---> Package R-java-devel.x86_64 0:3.0.1-2.el6 will be installed
--> Processing Dependency: java-devel for package: R-java-devel-3.0.1-2.el6.x86_64
---> Package java-1.6.0-openjdk.x86_64 1:1.6.0.0-1.56.1.11.8.el6_3 will be installed
--> Processing Dependency: jpackage-utils >= 1.7.3-1jpp.2 for package: 1:java-1.6.0-openjdk-1.6.0.0-1.56.1.11.8.el6_3.x86_64
--> Processing Dependency: tzdata-java for package: 1:java-1.6.0-openjdk-1.6.0.0-1.56.1.11.8.el6_3.x86_64
--> Processing Dependency: libpulse.so.0(PULSE_0)(64bit) for package: 1:java-1.6.0-openjdk-1.6.0.0-1.56.1.11.8.el6_3.x86_64
--> Processing Dependency: rhino for package: 1:java-1.6.0-openjdk-1.6.0.0-1.56.1.11.8.el6_3.x86_64
--> Processing Dependency: libpulse.so.0()(64bit) for package: 1:java-1.6.0-openjdk-1.6.0.0-1.56.1.11.8.el6_3.x86_64
--> Processing Dependency: libXtst.so.6()(64bit) for package: 1:java-1.6.0-openjdk-1.6.0.0-1.56.1.11.8.el6_3.x86_64
---> Package libRmath.x86_64 0:3.0.1-2.el6 will be installed
--> Running transaction check
---> Package R-core.x86_64 0:3.0.1-2.el6 will be installed
--> Processing Dependency: libjpeg.so.62(LIBJPEG_6.2)(64bit) for package: R-core-3.0.1-2.el6.x86_64
---> Package cups.x86_64 1:1.4.2-48.el6_3.3 will be installed
--> Processing Dependency: portreserve for package: 1:cups-1.4.2-48.el6_3.3.x86_64
--> Processing Dependency: poppler-utils for package: 1:cups-1.4.2-48.el6_3.3.x86_64
---> Package gcc-gfortran.x86_64 0:4.4.6-4.el6 will be installed
---> Package java-1.6.0-openjdk-devel.x86_64 1:1.6.0.0-1.56.1.11.8.el6_3 will be installed
---> Package jpackage-utils.noarch 0:1.7.5-3.12.el6 will be installed
---> Package libXtst.x86_64 0:1.0.99.2-3.el6 will be installed
---> Package libgfortran.x86_64 0:4.4.6-4.el6 will be installed
---> Package libicu.x86_64 0:4.2.1-9.1.el6_2 will be installed
---> Package pcre-devel.x86_64 0:7.8-4.el6 will be installed
---> Package pulseaudio-libs.x86_64 0:0.9.21-14.el6_3 will be installed
--> Processing Dependency: libsndfile.so.1(libsndfile.so.1.0)(64bit) for package: pulseaudio-libs-0.9.21-14.el6_3.x86_64
--> Processing Dependency: libasyncns.so.0()(64bit) for package: pulseaudio-libs-0.9.21-14.el6_3.x86_64
--> Processing Dependency: libsndfile.so.1()(64bit) for package: pulseaudio-libs-0.9.21-14.el6_3.x86_64
---> Package rhino.noarch 0:1.7-0.7.r2.2.el6 will be installed
--> Processing Dependency: jline for package: rhino-1.7-0.7.r2.2.el6.noarch
---> Package tcl.x86_64 1:8.5.7-6.el6 will be installed
---> Package tcl-devel.x86_64 1:8.5.7-6.el6 will be installed
---> Package texinfo-tex.x86_64 0:4.13a-8.el6 will be installed
--> Processing Dependency: texinfo = 4.13a-8.el6 for package: texinfo-tex-4.13a-8.el6.x86_64
---> Package texlive-latex.x86_64 0:2007-57.el6_2 will be installed
--> Processing Dependency: texlive-utils = 2007-57.el6_2 for package: texlive-latex-2007-57.el6_2.x86_64
--> Processing Dependency: texlive-texmf-latex = 2007 for package: texlive-latex-2007-57.el6_2.x86_64
--> Processing Dependency: netpbm-progs for package: texlive-latex-2007-57.el6_2.x86_64
---> Package tk.x86_64 1:8.5.7-5.el6 will be installed
---> Package tk-devel.x86_64 1:8.5.7-5.el6 will be installed
---> Package tzdata-java.noarch 0:2013c-1.el6 will be installed
--> Running transaction check
---> Package R-core.x86_64 0:3.0.1-2.el6 will be installed
--> Processing Dependency: libjpeg.so.62(LIBJPEG_6.2)(64bit) for package: R-core-3.0.1-2.el6.x86_64
---> Package jline.noarch 0:0.9.94-0.8.el6 will be installed
---> Package libasyncns.x86_64 0:0.8-1.1.el6 will be installed
---> Package libsndfile.x86_64 0:1.0.20-5.el6 will be installed
--> Processing Dependency: libFLAC.so.8()(64bit) for package: libsndfile-1.0.20-5.el6.x86_64
---> Package netpbm-progs.x86_64 0:10.47.05-11.el6 will be installed
--> Processing Dependency: netpbm = 10.47.05-11.el6 for package: netpbm-progs-10.47.05-11.el6.x86_64
--> Processing Dependency: libnetpbm.so.10()(64bit) for package: netpbm-progs-10.47.05-11.el6.x86_64
---> Package poppler-utils.x86_64 0:0.12.4-3.el6_0.1 will be installed
---> Package portreserve.x86_64 0:0.0.4-9.el6 will be installed
---> Package texinfo.x86_64 0:4.13a-8.el6 will be installed
---> Package texlive-texmf-latex.noarch 0:2007-38.el6 will be installed
--> Processing Dependency: texlive-texmf-errata-latex = 2007 for package: texlive-texmf-latex-2007-38.el6.noarch
--> Processing Dependency: tex-preview for package: texlive-texmf-latex-2007-38.el6.noarch
---> Package texlive-utils.x86_64 0:2007-57.el6_2 will be installed
--> Running transaction check
---> Package R-core.x86_64 0:3.0.1-2.el6 will be installed
--> Processing Dependency: libjpeg.so.62(LIBJPEG_6.2)(64bit) for package: R-core-3.0.1-2.el6.x86_64
---> Package flac.x86_64 0:1.2.1-6.1.el6 will be installed
---> Package netpbm.x86_64 0:10.47.05-11.el6 will be installed
---> Package tex-preview.noarch 0:11.85-10.el6 will be installed
---> Package texlive-texmf-errata-latex.noarch 0:2007-7.1.el6 will be installed
--> Finished Dependency Resolution
Error: Package: R-core-3.0.1-2.el6.x86_64 (epel)
           Requires: libjpeg.so.62(LIBJPEG_6.2)(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Expected results:

Successful installation.

Additional info:
[root@506964-www1 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.3 (Santiago)
[root@506964-www1 ~]# uname -a
Linux 506964-www1.xxx.co.uk 2.6.32-279.31.1.el6.x86_64 #1 SMP Sun May 26 06:54:41 EDT 2013 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Tom "spot" Callaway 2013-07-01 15:41:48 EDT
Weird. On my RHEL 6.4 test system:

[spot@rhel6 ~]$ rpm -qf /usr/lib64/libjpeg.so.62
libjpeg-turbo-1.2.1-1.el6.x86_64
[spot@rhel6 ~]$ rpm -q --whatprovides "libjpeg.so.62(LIBJPEG_6.2)(64bit)"
libjpeg-turbo-1.2.1-1.el6.x86_64

Not sure why your 6.3 system is missing it... maybe that update is only in 6.4?
Comment 2 Michael Stevens 2013-07-02 13:35:05 EDT
[root@506972-www3 ~]# rpm -qf /usr/lib64/libjpeg.so.62
libjpeg-6b-46.el6.x86_64
[root@506972-www3 ~]#  rpm -q --whatprovides "libjpeg.so.62(LIBJPEG_6.2)(64bit)"
no package provides libjpeg.so.62(LIBJPEG_6.2)(64bit)

I discussed on #epel irc and it looks like it's an incompatibility introduced in 6.4.

Rebuilding the R rpm for myself on 6.3 box let me installf ine.

Note You need to log in before you can comment on or make changes to this bug.